Bug 162177 - mail/opendkim - make dependency to Sendmail optional
Summary: mail/opendkim - make dependency to Sendmail optional
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-30 22:20 UTC by Michele Mazzucchi
Modified: 2012-01-08 01:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.46 KB, patch)
2011-10-30 22:20 UTC, Michele Mazzucchi
no flags Details | Diff
patch.txt (3.14 KB, text/plain)
2011-10-30 23:55 UTC, Michele Mazzucchi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michele Mazzucchi 2011-10-30 22:20:10 UTC
OpenDKIM is composed of a DKIM signature library AND a milter. The current port installs both, thus incurring a dependency on mail/sendmail on systems without Sendmail (e.g. because WITHOUT_SENDMAIL is set in src.conf). This patch allows people who run MTAs other than the bat to use the port without dragging on sendmail as well. The milter component is enabled/disabled with a suitable switch in OPTIONS.

For compatibility, the "FILTER" option is currently on by default, thus reproducing the behavior of the former port in interactive mode.
@Hirohisa: you may consider toggling the FILTER option to default-off in future releases, or breaking down the port in a libopendkim (slave) and a opendkim-milter.

cheers
michele
--
http://www.frontdam.com

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-10-30 22:20:20 UTC
Maintainer of mail/opendkim,

Please note that PR ports/162177 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/162177

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-10-30 22:20:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Michele Mazzucchi 2011-10-30 23:55:59 UTC
This patch improves on the former, including PORTREVISION and @comment-ing
the relevant missing components from pkg-plist.

--
http://www.frontdam.com

Comment 4 Mark Linimon freebsd_committer freebsd_triage 2011-11-09 07:57:24 UTC
State Changed
From-To: feedback->open

Maintainer has responded with updated patch.
Comment 5 Michael Scheidell freebsd_committer 2012-01-06 23:15:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it
Comment 6 dfilter service freebsd_committer 2012-01-08 01:23:58 UTC
scheidell    2012-01-08 01:23:47 UTC

  FreeBSD ports repository

  Modified files:
    mail/opendkim        Makefile Makefile.features distinfo 
                         pkg-plist 
  Log:
  - make dependency to Sendmail optional
  
  PR:             ports/162177
  Submitted by:   Michele Mazzucchi <m.mazzucchi@frontdam.com>
  Approved by:    maintainer (timeout, 60 days), gabor (mentor)
  
  Revision  Changes    Path
  1.9       +15 -6     ports/mail/opendkim/Makefile
  1.6       +2 -1      ports/mail/opendkim/Makefile.features
  1.7       +2 -2      ports/mail/opendkim/distinfo
  1.7       +2 -2      ports/mail/opendkim/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Michael Scheidell freebsd_committer 2012-01-08 01:24:04 UTC
State Changed
From-To: open->closed

Committed with changes, thanks